## libappindicator 0.4.92

=== debian/changelog ===
libappindicator (0.4.92-7) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with glib2.58 (-Werror=deprecated-declarations), closes: #907949

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 06 Sep 2018 21:14:57 +0200

libappindicator (0.4.92-6) unstable; urgency=medium

  * QA upload.
  * Remove Vcs-* since bzr.debian.org is no more. History can be found
    at <https://alioth-archive.debian.org/bzr/pkg-ayatana.tar.xz>.
  * d/p/Remove-unnecessary-GObject-cast.patch:
    Remove an unnecessary cast to fix FTBFS with newer GLib versions
    (Closes: #897473)
  * Do not build-depend on libindicate, which appears to have been due to
    confusion between the various indicator libraries. libappindicator
    (deprecated) depends on libindicator (also deprecated) but has
    no particular relationship to libindicate (also deprecated), and
    removing this dependency gets us 33% closer to being able to remove
    libindicate from Debian. (Closes: #857260)
  * Move all binary packages to oldlibs section (this also requires
    ftp team action, requested in #903089)
  * Remove legacy PyGTK bindings (python-appindicator) since nothing in
    Debian depends on them any more
    - d/p/Disable-legacy-Python-bindings.patch:
      Hack out the PyGTK bindings from the build system
    - This incidentally removes a dependency on the deprecated
      python-gobject transitional package (Closes: #890153)
  * Drop unused build-dependency on gnome-doc-utils
  * Drop unused build-dependency on quilt
  * d/rules: Remove remnants of Mono bindings
  * Add missing dependency from each -dev package to the corresponding
    gir1.2-* GObject-Introspection package as per the g-i mini-policy

 -- Simon McVittie <smcv@debian.org>  Sat, 07 Jul 2018 13:01:20 +0100

libappindicator (0.4.92-5) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with new gtk-doc-tools. Closes: #876612
  * Temporarily lobotomize generation of docs, fixes FTBFS that'd require
    many tuits to properly fix.  Should be harmless -- no one is expected
    to develop new code against our ancient version.
  * dh compat 10

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 24 Sep 2017 21:20:12 +0200

libappindicator (0.4.92-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to the QA team.
  * Upgrade to debhelper 9 (closes: #806054).
  * Make libraries MA: same (closes: #700386).
  * Fix FTBFS with clang (closes: #751445).
  * Remove recommends for indicator-application (closes: #705133, #757900).
  * Convert the source format to 3.0 (quilt).
  * Drop mono stuff, appindicator3-sharp has a newer version.

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 10 Apr 2016 05:38:46 +0200

libappindicator (0.4.92-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't treat deprecated API usage as error during the build to fix FTBFS
    (Closes: #763211)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 31 Oct 2014 21:38:56 +0100

libappindicator (0.4.92-3) unstable; urgency=medium

  * Team upload.
  * Transition build depend to valac (Closes: #709691). Fixes
    FTBFS (Closes: #710621).
  * Fix removal of .a and .la files from python-appindicator.

 -- Andrew Starr-Bochicchio <asb@debian.org>  Fri, 27 Dec 2013 14:38:24 -0500

libappindicator (0.4.92-2) unstable; urgency=low

  * Also build on non-mono arches (mips, mipsel, s390, hurd-i386 atm).
    + Add optional-mono.patch so build suceeds if no mono is available.
    + Move mono-deps to B-D-Indep.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 10 Jun 2012 08:43:56 +0200

libappindicator (0.4.92-1) unstable; urgency=low

  * Import libappindicator from Ubuntu.
    Closes: #675395
  * Drop B-D on dbus-test-runner, it's not available in Debian (yet)
  * Set Maintainer, Uploaders, Vcs-* to pkg-ayatana
  * Improve package descriptions
  * gir* packages belong into section introspection
  * Standards-Version: 3.9.3

 -- Evgeni Golov <evgeni@debian.org>  Fri, 25 May 2012 22:57:30 +0200

libappindicator (0.4.92-0ubuntu2) quantal; urgency=low

  * [Evgeni Golov]
  * debian/rules:
    - Use autoreconf.mk instead of running dh_autoreconf by hand

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 23 May 2012 10:19:17 +1200

libappindicator (0.4.92-0ubuntu1) precise; urgency=low

  [ Charles Kerr ]
  * New upstream release.
    * Fix a Coverity PW.BRANCH_PAST_INITIALIZATION error (LP: #957471)
    * Fix FTB bug from ambiguity between Glib.Menu and Gtk.Menu in the Vala code
  * debian/control: Updating to valac-0.16

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 21 Mar 2012 18:19:17 -0400

libappindicator (0.4.91-0ubuntu3) precise; urgency=low

  * debian/rules: build without make check until the builder environment
    issues are sorted

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Mar 2012 21:47:53 +0100

libappindicator (0.4.91-0ubuntu2) precise; urgency=low

  * debian/control: build-depends on dbus-test-runner

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Mar 2012 21:13:24 +0100

libappindicator (0.4.91-0ubuntu1) precise; urgency=low

  * debian/rules:
    - run make check during the build

  [ Ted Gould ]
  * New upstream release.
    * Set name and title in fallback status item (LP: #885080)
    * Fix build in non-source dir cases (LP: #931764)
    * Use file names for icons in fallback mode (LP: #875770)
    * Add since declarations to documentation
    * Fix test suite to work with libindicator 0.4.93
    * Fix the mono binding properties

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Mar 2012 20:05:53 +0100

libappindicator (0.4.90-0ubuntu2) precise; urgency=low

  * debian/control:
    - don't make libappindicator3-dev depends on libappindicator-dev
  * debian/libappindicator3-dev.install:
    - install the gtk3 include directory

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Feb 2012 12:50:15 +0100

libappindicator (0.4.90-0ubuntu1) precise; urgency=low

  * New upstream release.
    * Fix include with Dbusmenu 0.5.90

