=== debian/control ===
Source: libappindicator
Section: oldlibs
Priority: optional
XS-Python-Version: all
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10.0),
               cdbs (>= 0.4.93~),
               libgtk2.0-dev (>= 2.12.0),
               libgtk-3-dev (>= 2.91.3),
               libdbus-glib-1-dev (>= 0.82),
               gtk-doc-tools,
               intltool,
               libindicator-dev (>= 0.3.90),
               libindicator3-dev (>= 0.3.90),
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               gobject-introspection,
               libgirepository1.0-dev,
               gir1.2-glib-2.0,
               gir1.2-gtk-2.0,
               gir1.2-gtk-3.0,
               dh-autoreconf,
               valac (>= 0.20)
Standards-Version: 4.1.0
Homepage: https://launchpad.net/libappindicator

Package: libappindicator1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: allow applications to export a menu into the panel
 A library to allow applications to export a menu into the panel.
 Based on KSNI it also works in KDE and will fallback to generic Systray
 support if none of those are available.
 .
 This package contains shared libraries to be used by applications.

Package: gir1.2-appindicator-0.1
Conflicts: gir1.0-appindicator-0.1
Replaces: gir1.0-appindicator-0.1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: Typelib files for libappindicator1
 A library to allow applications to export a menu into the panel.
 Based on KSNI it also works in KDE and will fallback to generic Systray
 support if none of those are available.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings for libappindicator.

Package: libappindicator-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-appindicator-0.1 (= ${binary:Version}),
         libdbusmenu-glib-dev (>= 0.1.8),
         libdbus-glib-1-dev (>= 0.76),
         libappindicator1 (= ${binary:Version})
Description: allow applications to export a menu into the panel -- development
 A library to allow applications to export a menu into the panel.
 Based on KSNI it also works in KDE and will fallback to generic Systray
 support if none of those are available.
 .
 This package contains files that are needed to build applications.

Package: libappindicator-doc
Architecture: all
Depends: ${misc:Depends}
Description: allow applications to export a menu into the panel -- documentation
 A library to allow applications to export a menu into the panel.
 Based on KSNI it also works in KDE and will fallback to generic Systray
 support if none of those are available.
 .
 This package contains developer documentation.

Package: libappindicator3-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: allow applications to export a menu into the panel -- GTK3 version
 A library to allow applications to export a menu into the panel.
 Based on KSNI it also works in KDE and will fallback to generic Systray
 support if none of those are available.
 .
 This package contains shared libraries to be used by GTK3 applications.

Package: libappindicator3-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-appindicator3-0.1 (= ${binary:Version}),
         libdbusmenu-glib-dev (>= 0.1.8),
         libdbus-glib-1-dev (>= 0.76),
         libappindicator3-1 (= ${binary:Version})
Description: allow applications to export a menu into the panel -- GTK3 development
 A library to allow applications to export a menu into the panel.
 Based on KSNI it also works in KDE and will fallback to generic Systray
 support if none of those are available.
 .
 This package contains files that are needed to build GTK3 applications.

Package: gir1.2-appindicator3-0.1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: Typelib files for libappindicator3-1
 A library to allow applications to export a menu into the panel.
 Based on KSNI it also works in KDE and will fallback to generic Systray
 support if none of those are available.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings for libappindicator3.
