=== debian/watch ===
version=3
http://launchpad.net/libappindicator/+download .*/libappindicator-([0-9.]+)\.tar\.gz
