## libappindicator 0.4.92mint1+debbie

=== debian/changelog ===
libappindicator (0.4.92mint1+debbie) debbie; urgency=medium

  [ Michael Webster ]
  * remove rev from version
  * Delete some autogenerated stuff.
  * Add .gitignore
  * Add XAppStatusIcon support.

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 04 Feb 2020 16:31:54 +0000
