## libappindicator 12.10.1%2B20.10.20200706.1

=== debian/changelog ===
libappindicator (12.10.1+20.10.20200706.1-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX 21.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 21 Oct 2021 18:26:15 -0700

libappindicator (12.10.1+20.10.20200706.1-0ubuntu1) groovy; urgency=medium

  [ Alberts Muktupāvels ]
  * Fall back to tray icon when StatusNotifierHost is not available.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 06 Jul 2020 13:23:27 +0000

libappindicator (12.10.1+20.04.20200408.1-0ubuntu1) focal; urgency=medium

  [ Paul G ]
  * app-indicator: Don't pass unexpected parameter to signal emissions
    (LP: #1867996)

  [ Ash Holland ]
  * app-indicator: Only check for item numbers when iterating array
    (LP: #1867996)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 08 Apr 2020 18:58:49 +0000

libappindicator (12.10.1+18.04.20180322.1-0ubuntu6) focal; urgency=medium

  * Disable mono on riscv64 too.

 -- William Grant <wgrant@ubuntu.com>  Mon, 06 Apr 2020 18:15:21 +1000

libappindicator (12.10.1+18.04.20180322.1-0ubuntu5) focal; urgency=medium

  * configure.ac: require gio-unix-2.0, it's need for gdesktopappinfo
    which was added in one of the recent uploads

  [ Jeremy Bicha ]
  * Drop python-appindicator and gir1.2-appindicator-0.1 packages
    (LP: #1740637)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 Dec 2019 15:36:01 +0100

libappindicator (12.10.1+18.04.20180322.1-0ubuntu4) eoan; urgency=medium

  * Don't build with -Werror.
  * Drop hard coded dependency on multiarch-support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 01 Sep 2019 05:58:07 +0200

libappindicator (12.10.1+18.04.20180322.1-0ubuntu2) disco; urgency=medium

  * Vendorize indicator-desktop-shortcuts (convenience wrapper around
    gdesktopappinfo) from libindicator project, to drop the dependency on
    libindicator as none of the rest of it is used.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 21 Feb 2019 00:40:40 +0100

libappindicator (12.10.1+18.04.20180322.1-0ubuntu1) bionic; urgency=medium

  [ Unit 193 ]
  * Have -dev package depend on libgtk2.0-dev or libgk-3-dev according
    to its pkgconfig file (LP: #1757574) (LP: #1757574)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Mar 2018 01:16:11 +0000

libappindicator (12.10.1+18.04.20180320-0ubuntu1) bionic; urgency=medium

  [ Olivier Tilloy ]
  * Fix build failures on bionic, (LP: #1757121)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 20 Mar 2018 12:48:14 +0000

libappindicator (12.10.1+17.04.20170215-0ubuntu2) artful; urgency=medium

  * debian/control:
    - Downgrade libappindicator* recommending the indicator-application
      service to suggests. Only some sessions wants it, while we still
      link against the lib in multiple apps.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 19 Jul 2017 13:28:58 +0200

libappindicator (12.10.1+17.04.20170215-0ubuntu1) zesty; urgency=medium

  * app-indicator: don't append the snap prefix if the icon is saved in
    a well known readable path

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 15 Feb 2017 14:16:09 +0000

libappindicator (12.10.1+17.04.20170213-0ubuntu1) zesty; urgency=medium

  * AppIndicator: don't emit label cahanges when guide is still empty

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 13 Feb 2017 17:16:38 +0000

libappindicator (12.10.1+17.04.20161129-0ubuntu1) zesty; urgency=medium

  * AppIndicator: fix icon and theme paths when running in $SNAP
    environment (LP: #1600136)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Tue, 29 Nov 2016 18:04:06 +0000

libappindicator (12.10.1+16.10.20160905-0ubuntu1) yakkety; urgency=medium

  [ Alberts Muktupāvels ]
  * Handle watcher service appearing and disappearing.

  [ Dmitry Shachnev ]
  * Make test-simple-app really working.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 05 Sep 2016 18:32:14 +0000

libappindicator (12.10.1+15.04.20141110-0ubuntu1) vivid; urgency=low

  [ Lars Uebernickel ]
  * scroll-event: change parameter to the right type

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Nov 2014 16:30:06 +0000

libappindicator (12.10.1+13.10.20130920-0ubuntu4) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:48:02 +0000

libappindicator (12.10.1+13.10.20130920-0ubuntu3) trusty; urgency=medium

  * Build with -Wno-error=deprecated-declarations.
  * Don't build the mono bindings on ppc64el, not available.
  * Disable building the example, vala build error.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Dec 2013 13:50:03 +0100

libappindicator (12.10.1+13.10.20130920-0ubuntu2) saucy; urgency=low

  * Don't build the mono bindings on AArch64, not available.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 14 Oct 2013 01:47:10 +0200

libappindicator (12.10.1+13.10.20130920-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 266

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 20 Sep 2013 10:17:40 +0000

libappindicator (12.10.1daily13.06.19-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * Making gtk-doc check run in the current source directory.

  [ Marco Trevisan (Treviño) ]
  * NotificationWatcher interface has not anymore the
    XAyatanaRegisterNotificationApprover method.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 264

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Jun 2013 02:01:55 +0000

libappindicator (12.10.1daily13.05.02-0ubuntu1) saucy; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * debian/rules: drop the "clean" target, it's superfluous.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 261

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 May 2013 22:59:05 +0000

libappindicator (12.10.1daily13.04.15-0ubuntu1) raring; urgency=low

  * Automatic snapshot from revision 258

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Apr 2013 02:02:56 +0000


