=== debian/control ===
Source: libappindicator
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
Build-Depends: at-spi2-core,
               cli-common-dev (>= 0.5.7) [!arm64 !ppc64el !riscv64],
               dbus-test-runner,
               debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               gobject-introspection,
               gtk-doc-tools,
               gtk-sharp2-gapi [!arm64 !ppc64el !riscv64],
               intltool,
               libdbus-glib-1-dev (>= 0.82),
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.35.4),
               libgtk-3-dev (>= 2.91.3),
               libgtk2.0-cil-dev [!arm64 !ppc64el !riscv64],
               libgtk2.0-dev (>= 2.12.0),
               libnunit-cil-dev [!arm64 !ppc64el !riscv64],
               libxml2-utils,
               mono-devel (>= 2.4.3) [!arm64 !ppc64el !riscv64],
               valac,
               xvfb
Standards-Version: 3.9.1
Homepage: https://launchpad.net/libappindicator
Vcs-Bzr: https://code.launchpad.net/~indicator-applet-developers/libappindicator/trunk.16.10
Vcs-Browser: https://bazaar.launchpad.net/~indicator-applet-developers/libappindicator/trunk.16.10/files

Package: libappindicator1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: indicator-application (>= 0.2.93)
Description: Application Indicators
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications.

Package: libappindicator-dev
Section: libdevel
Architecture: any
Depends: libappindicator1 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libdbusmenu-glib-dev (>= 0.1.8),
         libgtk2.0-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Application Indicators
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications.

Package: libappindicator-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Application Indicators
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains developer documentation.

Package: libappindicator3-1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: indicator-application (>= 0.2.93)
Description: Application Indicators
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains shared libraries to be used by applications.

Package: libappindicator3-dev
Section: libdevel
Architecture: any
Depends: gir1.2-appindicator3-0.1 (= ${binary:Version}),
         libappindicator3-1 (= ${binary:Version}),
         libdbus-glib-1-dev (>= 0.76),
         libdbusmenu-glib-dev (>= 0.1.8),
         libgtk-3-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Application Indicators
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications.

Package: gir1.2-appindicator3-0.1
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: Typelib files for libappindicator3-1.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.

Package: libappindicator0.1-cil
Section: cli-mono
Architecture: all
Depends: ${cli:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: CLI bindings for libappindicator
 This package provides the appindicator-sharp assembly that allows CLI (.NET)
 programs to take menus from applications and place them in the panel.
 .
 This package contains assemblies to be used by applications.

Package: libappindicator0.1-cil-dev
Section: libdevel
Architecture: all
Depends: libappindicator0.1-cil (= ${binary:Version}),
         ${cli:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Application Indicators
 A library and indicator to take menus from applications and place them in
 the panel.
 .
 This package contains files that are needed to build applications.
