=== debian/rules ===
#!/usr/bin/make -f

FLAVORS = gtk2 gtk3
API_VERSION = 0.1

DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)

CONFIGURE_COMMON_FLAGS = --disable-scrollkeeper --enable-introspection
ifneq (,$(filter $(DEB_HOST_ARCH),arm64 ppc64el riscv64))
  CONFIGURE_COMMON_FLAGS += --disable-mono-test
else
  dh_extra_args = ,cli
endif
CONFIGURE_FLAGS_gtk2 = --with-gtk=2 --enable-gtk-doc
CONFIGURE_FLAGS_gtk3 = --with-gtk=3 --enable-gtk-doc=no

export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

CFLAGS += -fPIC

%:
	dh $@ --with autoreconf,gir$(dh_extra_args)

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure: $(FLAVORS:%=doconfigure-%)

doconfigure-%:
	dh_auto_configure --builddirectory=build/$* -- $(CONFIGURE_FLAGS_$*) $(CONFIGURE_COMMON_FLAGS)

doconfiguregtk2-%:
	dh_auto_configure --builddirectory=build/gtk2 -- $(CONFIGURE_FLAGS_gtk2) $(CONFIGURE_COMMON_FLAGS)

override_dh_auto_build: $(FLAVORS:%=dobuild-%)

dobuild-%:
	dh_auto_build --builddirectory=build/$*

dobuildgtk2-%:
	dh_auto_build --builddirectory=build/gtk2

override_dh_auto_install: $(FLAVORS:%=doinstall-%)

doinstall-%:
	dh_auto_install --builddirectory=build/$* --destdir=debian/tmp/$*

override_dh_install:
	find debian/tmp -name \*.la -exec rm {} \;
	find debian/tmp -name \*.a -exec rm {} \;
	rm -rf debian/tmp/*/usr/lib/mono
	rm -rf debian/tmp/*/usr/share/vala/vapi/appindicator*-0.1.deps
	dh_install -plibappindicator1 --fail-missing --sourcedir=debian/tmp/gtk2
	dh_install -plibappindicator-dev --fail-missing --sourcedir=debian/tmp/gtk2
	dh_install -plibappindicator-doc --fail-missing --sourcedir=debian/tmp/gtk2
	dh_install -plibappindicator3-1 --fail-missing --sourcedir=debian/tmp/gtk3
	dh_install -plibappindicator3-dev --fail-missing --sourcedir=debian/tmp/gtk3
	dh_install -pgir1.2-appindicator3-0.1 --fail-missing --sourcedir=debian/tmp/gtk3
	dh_install -plibappindicator0.1-cil --fail-missing --sourcedir=debian/tmp/gtk2
	dh_install -plibappindicator0.1-cil-dev --fail-missing --sourcedir=debian/tmp/gtk2

override_dh_auto_test: $(FLAVORS:%=dotest-%)

dotest-%:
	dh_auto_test --builddirectory=build/$* --

dotestgtk2-%:
	ps -ef
	env
	dh_auto_test --builddirectory=build/gtk2 --

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_strip:
	dh_strip --no-automatic-dbgsym
