=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
 
 FLAVORS = gtk2 gtk3
+PY_VERSIONS = $(shell pyversions --requested debian/control)
 API_VERSION = 0.1
 
 DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 CONFIGURE_COMMON_FLAGS = --disable-scrollkeeper --enable-introspection
-ifneq (,$(filter $(DEB_HOST_ARCH),arm64 ppc64el riscv64))
+ifneq (,$(filter $(DEB_HOST_ARCH),arm64 ppc64el))
   CONFIGURE_COMMON_FLAGS += --disable-mono-test
 else
   dh_extra_args = ,cli
@@ -19,7 +20,7 @@
 CFLAGS += -fPIC
 
 %:
-	dh $@ --with autoreconf,gir$(dh_extra_args)
+	dh $@ --with autoreconf,python2,gir$(dh_extra_args)
 
 override_dh_autoreconf:
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
@@ -29,16 +30,24 @@
 doconfigure-%:
 	dh_auto_configure --builddirectory=build/$* -- $(CONFIGURE_FLAGS_$*) $(CONFIGURE_COMMON_FLAGS)
 
+doconfigure-gtk2: $(PY_VERSIONS:%=doconfiguregtk2-%)
+	# GTK2 flavor configure was run on a per-python-version basis.
+
 doconfiguregtk2-%:
-	dh_auto_configure --builddirectory=build/gtk2 -- $(CONFIGURE_FLAGS_gtk2) $(CONFIGURE_COMMON_FLAGS)
+	PYTHON=`which $*` \
+		dh_auto_configure --builddirectory=build/gtk2 -- $(CONFIGURE_FLAGS_gtk2) $(CONFIGURE_COMMON_FLAGS)
 
 override_dh_auto_build: $(FLAVORS:%=dobuild-%)
 
 dobuild-%:
 	dh_auto_build --builddirectory=build/$*
 
+dobuild-gtk2: $(PY_VERSIONS:%=dobuildgtk2-%)
+	# GTK2 flavor build was run on a per-python-version basis.
+
 dobuildgtk2-%:
-	dh_auto_build --builddirectory=build/gtk2
+	PYTHON=`which $*` \
+		dh_auto_build --builddirectory=build/gtk2
 
 override_dh_auto_install: $(FLAVORS:%=doinstall-%)
 
@@ -50,7 +59,9 @@
 	find debian/tmp -name \*.a -exec rm {} \;
 	rm -rf debian/tmp/*/usr/lib/mono
 	rm -rf debian/tmp/*/usr/share/vala/vapi/appindicator*-0.1.deps
+	dh_install -ppython-appindicator --fail-missing --sourcedir=debian/tmp/gtk2
 	dh_install -plibappindicator1 --fail-missing --sourcedir=debian/tmp/gtk2
+	dh_install -pgir1.2-appindicator-0.1 --fail-missing --sourcedir=debian/tmp/gtk2
 	dh_install -plibappindicator-dev --fail-missing --sourcedir=debian/tmp/gtk2
 	dh_install -plibappindicator-doc --fail-missing --sourcedir=debian/tmp/gtk2
 	dh_install -plibappindicator3-1 --fail-missing --sourcedir=debian/tmp/gtk3
@@ -64,14 +75,17 @@
 dotest-%:
 	dh_auto_test --builddirectory=build/$* --
 
+
+dotest-gtk2: $(PY_VERSIONS:%=dotestgtk2-%)
+	# GTK2 flavor test was run on a per-python-version basis.
+
 dotestgtk2-%:
 	ps -ef
 	env
-	dh_auto_test --builddirectory=build/gtk2 --
+	PYTHON=`which $*` \
+		dh_auto_test --builddirectory=build/gtk2 --
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
