## libappindicator 12.10.1+20.10.20200706.1

=== debian/changelog ===
libappindicator (12.10.1+20.10.20200706.1-0.1mx25) mx; urgency=medium

  * Rebuild for MX 25.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 07 Jan 2026 11:46:26 -0800

libappindicator (12.10.1+20.10.20200706.1-0ubuntu6) oracular; urgency=medium

  [ Balló György ]
  * Fix unfallback from status icon (LP: #2073113).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 Jul 2024 19:02:01 +0300

libappindicator (12.10.1+20.10.20200706.1-0ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:39:42 +0000

libappindicator (12.10.1+20.10.20200706.1-0ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:57:30 +0000

libappindicator (12.10.1+20.10.20200706.1-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:18:46 +0000

libappindicator (12.10.1+20.10.20200706.1-0ubuntu2) noble; urgency=medium

  * Drop support for GTK+2.0 (libappindicator1, libappindicator-dev,
    libappindicator0.1-cil, libappindicator0.1-cil-dev).
  * Build-Conflicts: libmono-cil-dev, otherwise we try to build mono support
    and fail.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Dec 2023 09:04:51 -0800
